import React from 'react';
import styled from 'styled-components';
import { cv } from '../../../style';
const TextsDiv = styled.div`
    flex: ${props => props.flex || 3};
    display: flex;
    flex-direction: column;
    gap: 2px;
    width: 100%;
`;
const TextDiv = styled.div`
    font-weight: 600;
    color: ${cv.text2};
    font-size: 14px;
`;
const SubTextDiv = styled.div`
    color: ${cv.text3};
    font-size: 14px;
`;
export function TextItem({
  text,
  flex,
  subText
}) {
  return /*#__PURE__*/React.createElement(TextsDiv, {
    flex: flex
  }, text && /*#__PURE__*/React.createElement(TextDiv, null, `${text.substring(0, 50)}${text.length > 50 ? '...' : ''}`), subText && /*#__PURE__*/React.createElement(SubTextDiv, null, `${subText.substring(0, 50)}${subText.length > 50 ? '...' : ''}`));
}
TextItem.displayName = 'ItemsTable.Row.TextItem';